stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
stdex::parser::sgml_cp_set Class Reference

Test for any SGML code point from a given string of SGML code points. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::sgml_cp_set:

## Public Member Functions
| sgml_cp_set (const char *set, size_t count=SIZE_MAX, bool invert=false, const std::locale &locale=std::locale())
Public Member Functions inherited from stdex::parser::basic_set< char >
| basic_set (bool invert=false, const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< char, std::char_traits< char > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Member Functions
virtual bool | do_match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_set< char >
virtual bool | do_match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0
Protected Member Functions inherited from stdex::parser::basic_parser< char >

## Protected Attributes
std::wstring | m_set
Protected Attributes inherited from stdex::parser::basic_set< char >
bool | m_invert
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Additional Inherited Members
Public Attributes inherited from stdex::parser::basic_set< char >
size_t | hit_offset
Public Attributes inherited from stdex::parser::basic_parser< char >
stdex::interval< size_t > | interval
| Region of the last match.

## Detailed Description

Test for any SGML code point from a given string of SGML code points.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp